import { EventEmitter } from "@angular/core";
import { IconCacheService } from "../../service/icon-cache.service";
import { Icon } from "../../enum/icon.enum";
import { SharedService } from "../../service/shared.service";
import { TagTreeItem } from "@colijnit/mainapi/build/model/tag-tree-item.bo";
export declare class SimpleTagsComponent {
    iconCacheService: IconCacheService;
    sharedService: SharedService;
    readonly icon: typeof Icon;
    set tags(tags: TagTreeItem[]);
    get tags(): TagTreeItem[];
    set linkedTags(tags: TagTreeItem[]);
    get linkedTags(): TagTreeItem[];
    closeClick: EventEmitter<void>;
    saveClick: EventEmitter<TagTreeItem[]>;
    breadCrumbs: TagTreeItem[];
    displayTags: TagTreeItem[];
    searchString: string;
    private _tags;
    private _linkedTags;
    showClass(): boolean;
    constructor(iconCacheService: IconCacheService, sharedService: SharedService);
    handleSaveTags(): void;
}
